#pragma once

#include "CoreMinimal.h"
#include "SettingsOptionContentViewData.h"
#include "SettingsToggleViewData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API USettingsToggleViewData : public USettingsOptionContentViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText OnOption;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText OffOption;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsOn;

public:
	USettingsToggleViewData();
};

FORCEINLINE uint32 GetTypeHash(const USettingsToggleViewData) { return 0; }
